Work Email → Personal Email
curl --request POST \
--url https://api.rb2b.com/api/v1/business_email_to_personal_hem \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"email": "alice@acme.com"
}
'import requests
url = "https://api.rb2b.com/api/v1/business_email_to_personal_hem"
payload = { "email": "alice@acme.com" }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'alice@acme.com'})
};
fetch('https://api.rb2b.com/api/v1/business_email_to_personal_hem', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"results": {
"personal_email_sha256s": [
"2cf24dba5fb0a30e26e83b2ac5b9e29e1b161e5c1fa7425e73043362938b9824"
]
}
}{
"error": "missing email"
}{
"error": "missing_api_key"
}{
"error": "insufficient_api_credits",
"required": "1.0",
"remaining": "0.0"
}{
"error": "service_unavailable_for_key"
}{
"results": {
"personal_email_sha256s": [
"<string>"
]
}
}Search, activity & account
Work Email → Personal Email
Match a work email to a hashed personal email.
Provide a valid plaintext work email. On a match, the response contains the person’s personal email addresses as SHA-256 hashes; on a miss the personal_email_sha256s array is empty.
Billing: 1 credit per successful match (HTTP 200). Misses (404) and request errors (4xx) are not billed.
POST
/
api
/
v1
/
business_email_to_personal_hem
Work Email → Personal Email
curl --request POST \
--url https://api.rb2b.com/api/v1/business_email_to_personal_hem \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"email": "alice@acme.com"
}
'import requests
url = "https://api.rb2b.com/api/v1/business_email_to_personal_hem"
payload = { "email": "alice@acme.com" }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'alice@acme.com'})
};
fetch('https://api.rb2b.com/api/v1/business_email_to_personal_hem', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"results": {
"personal_email_sha256s": [
"2cf24dba5fb0a30e26e83b2ac5b9e29e1b161e5c1fa7425e73043362938b9824"
]
}
}{
"error": "missing email"
}{
"error": "missing_api_key"
}{
"error": "insufficient_api_credits",
"required": "1.0",
"remaining": "0.0"
}{
"error": "service_unavailable_for_key"
}{
"results": {
"personal_email_sha256s": [
"<string>"
]
}
}Authorizations
Per-account API key. Also accepted as Api-Key or Authorization: Bearer <key>.
Body
application/json
Plaintext work email address. Must be a valid email address.
Example:
"alice@acme.com"
Response
Personal hashed emails found (1 credit charged)
Show child attributes
Show child attributes

